CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TestSuiteFactory< TestCaseType > Class Template Reference

TestFactory for TestFixture that implements a static suite() method. More...

`#include <TestSuiteFactory.h>`

Inheritance diagram for TestSuiteFactory< TestCaseType >:
[legend]
Collaboration diagram for TestSuiteFactory< TestCaseType >:
[legend]

List of all members.

## Public Member Functions
virtual Test * | makeTest ()

## Detailed Description

### template<class TestCaseType>
class TestSuiteFactory< TestCaseType >

TestFactory for TestFixture that implements a static suite() method.

See also:
  AutoRegisterSuite.

## Member Function Documentation

template<class TestCaseType >

virtual Test* TestSuiteFactory< TestCaseType >::makeTest | ( |  | ) | `[inline, virtual]`

Makes a new test.

Returns:
  A new Test.

Implements TestFactory.

The documentation for this class was generated from the following file:

- TestSuiteFactory.h

| hosts this site. |  | Send comments to: CppUnit Developers